<template>
    <div class="form-group has-search">
        <span class="fa fa-search form-control-feedback"></span>
        <input
            v-model="dataValue"
            type="text"
            class="form-control"
            placeholder="Search"
            ref="searchBox"
        />
    </div>
</template>

<script>
export default {
    props: ["value", "delay"],
    data() {
        return {
            dataValue: this.value,
        }
    },
    watch: {
        dataValue: function(newValue, oldValue) {
            this.debounceSendValue();
        }
    },
    created() {
        this.debounceSendValue = _.debounce(this.sendValue, this.delay);
    },
    methods: {
        sendValue() {
            this.$emit('input', this.dataValue);
        }
    },
};
</script>

<style scoped>
.has-search .form-control {
    padding-left: 2.375rem;
}

.has-search .form-control-feedback {
    position: absolute;
    z-index: 2;
    display: block;
    width: 2.375rem;
    height: 2.375rem;
    line-height: 2.375rem;
    text-align: center;
    pointer-events: none;
    color: #aaa;
}
</style>
